<?php

/**
 * @version    CVS: 0.0.1
 * @package    Com_ytwebtools
 * @author     Yannick TANGUY <contact@yannicktanguy.com>
 * @copyright  2017 Yannick TANGUY
 * @license    GNU General Public License version 2 ou version ultérieure ; Voir LICENSE.txt
 */
defined('_JEXEC') or die;

/**
 * Class YtwebtoolsFrontendHelper
 *
 * @since  1.6
 */
class YtwebtoolsHelpersYtwebtools
{
	/**
	 * Get an instance of the named model
	 *
	 * @param   string  $name  Model name
	 *
	 * @return null|object
	 */
	public static function getModel($name)
	{
		$model = null;

		// If the file exists, let's
		if (file_exists(JPATH_SITE . '/components/com_ytwebtools/models/' . strtolower($name) . '.php'))
		{
			require_once JPATH_SITE . '/components/com_ytwebtools/models/' . strtolower($name) . '.php';
			$model = JModelLegacy::getInstance($name, 'YtwebtoolsModel');
		}

		return $model;
	}
}
