/**
* @version    0.0.1
* @package    Com_ytwebtools
* @author     Yannick TANGUY <contact@yannicktanguy.com>
* @copyright  2017 Yannick TANGUY
* @license    GNU General Public License version 2 ou version ultérieure ; Voir LICENSE.txt
*/

window.onload = function(){
	
	// verification url
	function verifurl(){
		var daurl = jQuery('#jform_urlsite').val();
		var urlcible = jQuery('#urlselft').val();
		jQuery('#linfoici').append('Etape 1 - Vérification connexion URL');
		if (urlcible== false){
			messurlpb = jQuery('#urlexisno').val();
			jQuery('#linfoici').append('<div class="operationno">'+messurlpb+'</div>');
			verifftp();
		} else {
			jQuery.post( urlcible, { lacibleurl: daurl }).done(function( data ) {
				var timestamp = Math.floor(Date.now() / 1000);
				jQuery('#jform_verifurldte').val(data+'*'+timestamp);
				if(data=='1'){
					messurlpbok = jQuery('#urlexisok').val();
					jQuery('#linfoici').append('<div class="operationok">'+messurlpbok+'</div>');
				}
				if(data=='2'){
					messurlpbok = jQuery('#urlexisok').val();
					jQuery('#linfoici').append('<div class="operationok">L/URL Existe mais ce situe derrière une redirection !! ATTENTION</div>');
				}
				if(data=='0'){
					messurlpbno = jQuery('#urlexisno').val();
					jQuery('#linfoici').append('<div class="operationno">'+messurlpbno+'</div>');
				}
				verifurldte();
				verifftp();
			});
		}
	}
	
	// verification ftp - connexion et tests insert lecture suppression 
	function verifftp(){
		var typeftp = jQuery('#jform_accesftp').val();
		var servftp = jQuery('#jform_serveftp').val();
		var portftp = jQuery('#jform_portftp').val();
		var identftp = jQuery('#jform_identftp').val();
		var motdepassftp = jQuery('#jform_mdpftp').val();
		var clecomp = jQuery('#jform_clecomp').val();
		jQuery('#linfoici').append('Etape 2 - Vérification connexion FTP');
		var ftpdossierracine = jQuery('#jform_ftpdossierracine').val();
		var urlcible = jQuery('#urlselft').val();
		jQuery.post( urlcible, { 
			tserve : typeftp ,
			srvftp: servftp ,
			prtftp : portftp ,
			idtnftp : identftp ,
			mdpftp : motdepassftp ,
			folderftp: ftpdossierracine,
			func:'connectftp'
			}).done(function( data ) {
			var timestamp = Math.floor(Date.now() / 1000);
			jQuery('#jform_verifftpdte').val(data+'*'+timestamp);
			if(data=='1'){
				messftppbok = jQuery('#ftpexisok').val();
				jQuery('#linfoici').append('<div class="operationok">'+messftppbok+'</div>');
				jQuery('#linfoici').append('Etape 3 - Vérification Insertion FTP');
				var daurl = jQuery('#jform_urlsite').val();
				jQuery.post( urlcible, { 
					tserve : typeftp ,
					srvftp: servftp ,
					prtftp : portftp ,
					idtnftp : identftp ,
					mdpftp : motdepassftp ,
					folderftp: ftpdossierracine,
					clecompcr:clecomp,
					func:'insertftp' ,
					testurl:daurl
					}).done(function( data ) {
						
					if(data=='41'){
						jQuery('#linfoici').append('<div class="operationok">insertion du fichier éffectuer</div>');
						jQuery('#linfoici').append('Etape 4 - Vérification Lecture par HTTP du fichier insérer par FTP');
						jQuery.post( urlcible, { 
						clecompcr:clecomp,
						func:'verifinsert' ,
						testurl:daurl
						}).done(function( data ) {
							if(data=='43'){
								jQuery('#linfoici').append('<div class="operationok">La lecture du fichier test par http est effective</div>');
							}
							if(data=='44'){
								jQuery('#linfoici').append('<div class="operationno">Le fichier déposé en FTP n est pas lisible par HTTP, veuillez verifier le dossier racine du site dans vos paramètres FTP.</div>');
							}
							jQuery('#linfoici').append('Etape 5 - Vérification de la suppression par FTP du fichier de test');
							jQuery.post( urlcible, { 
							tserve : typeftp ,
							srvftp: servftp ,
							prtftp : portftp ,
							idtnftp : identftp ,
							mdpftp : motdepassftp ,
							folderftp: ftpdossierracine,
							clecompcr:clecomp,
							func:'deleteftp' ,
							testurl:daurl
							}).done(function( data ) {
								if(data=='46'){
									jQuery('#linfoici').append('<div class="operationok">La suppression du fichier de test sur le serveur FTP est effective</div>');
								}
								if(data=='47'){
									jQuery('#linfoici').append('<div class="operationno">Le fichier déposé en FTP ne peut être supprimé</div>');
								}
								var testservesql = jQuery('#jform_servesql').val();
								var testportsql = jQuery('#jform_portsql').val();
								var testidentsql = jQuery('#jform_identsql').val();
								var testpasssql = jQuery('#jform_passsql').val();
								var testsqlbdd = jQuery('#jform_sqlbdd').val();
								if (testservesql.length > 1 && testpasssql.length > 1){
									jQuery('#linfoici').append('Etape 6 - test de version PHP et MySQL');
									jQuery.post( urlcible, { 
									tserve : typeftp ,
									srvftp: servftp ,
									prtftp : portftp ,
									idtnftp : identftp ,
									mdpftp : motdepassftp ,
									folderftp: ftpdossierracine,
									clecompcr:clecomp,
									servesql:testservesql,
									portsql:testportsql,
									identsql:testidentsql,
									passsql:testpasssql,
									sqlbdd:testsqlbdd,
									func:'testphpmysql' ,
									testurl:daurl
									}).done(function( data ) {
										if(data=='49'){
											jQuery('#linfoici').append('<div class="operationno">La connection à la base de donnée MySQL n a pas été concluante</div>');
											leclosbouton();
										}
										else {
											res = data.split('µµ');
											phpver=res[0];
											mysqlver=res[1];
											cmsver=res[2];
											if (cmsver == 'UNKNOWN'){ cmsver = 'inconnu'; }
											jQuery('#linfoici').append('<div class="operationok">PHP version : '+phpver+' et MySQL version : '+mysqlver+' - CMS : '+cmsver+'</div>');
											leclosbouton();
											jQuery('#jform_servephpv').val(phpver);
											jQuery('#jform_servesqlv').val(mysqlver);
											jQuery('#jform_cmstype').val(cmsver);
										}
									});
								}
							});
						});
					}
					if(data=='42'){
						jQuery('#linfoici').append('<div class="operationno">L insertion de fichier à échouer</div>');
						jQuery('#linfoici').append('Il semble que la possibilité d écriture sur le serveur FTP soit impossible, ytwebtools peut tout de même automatiser des sauvegardes par FTP uniquement et sera de toutes evidence plus longue à effectuer.');
						leclosbouton();
					}
					if(data=='45'){
						jQuery('#linfoici').append('Il est impératif que votre site est le répertoire de cache administrator accessible en écriture.');
						leclosbouton();
					}
					if(data=='0'){
						jQuery('#linfoici').append('<div class="operationno">'+messftppbno+'</div>');
						jQuery('#linfoici').append('Vérification intérompue, vérifiez vos données FTP. ytwebtools ne peut fonctionner sans des paramètre de connexion FTP valides.');
						leclosbouton();
					}
				});
			}
			if(data=='0'){
				messftppbno = jQuery('#ftpexisno').val();
				jQuery('#linfoici').append('<div class="operationno">'+messftppbno+'</div>');
				jQuery('#linfoici').append('Vérification intérompue, vérifiez vos données FTP. ytwebtools ne peut fonctionner sans des paramètre de connexion FTP valides.');
				leclosbouton();
			}
			verifftpdte();
		});
	}
	
	
	
	
	
	
	jQuery('#verifinsert').click(function () {
		jQuery('#linfoici').html('<input type="hidden" value="" id="letstun" /><input type="hidden" value="" id="letstde" /><input type="hidden" value="" id="letsttr" />');
		jQuery('#chargement').slideToggle();
		jQuery('#chargebloc').slideToggle();
		verifurl();
	});
	
	
	
	function leclosbouton() {
		jQuery('#chargebloc').slideToggle();
		var btntxt=jQuery('#verifbtn').val();
		var htmlarajoutpp = '<br /><br /><br /><input type="button" value="'+btntxt+'" id="lbtnferm" />';
		jQuery('#linfoici').append('<div class="operationno">'+htmlarajoutpp+'</div>');
		jQuery('#lbtnferm').click(function () {
			jQuery('#chargement').slideToggle();
		});
	}
	function verifurldte() {
		var ladteveriurl = jQuery('#jform_verifurldte').val();
		if (ladteveriurl != '' ){
			var resurlon = ladteveriurl.split("*");
			var urlouinon = resurlon[0];
			var urltestdte = resurlon[1];
			var date = new Date(urltestdte*1000);
			if (urlouinon==1){
				jQuery('#verifieurl').html('Verified <span class="operationok">Enabled</span> - '+date);
			} else {
				jQuery('#verifieurl').html('Verified <span class="operationno">Disabled</span> - '+date);
			}
		}
	}
	function verifftpdte() {
		var ladteveriftp = jQuery('#jform_verifftpdte').val();
		if (ladteveriftp != '' ){
			var resftpon = ladteveriftp.split("*");
			var ftpouinon = resftpon[0];
			var ftptestdte = resftpon[1];
			var date = new Date(ftptestdte*1000);
			if (ftpouinon==1){
				jQuery('#verifieftp').html('Verified <span class="operationok">Enabled</span> - '+date);
			} else {
				jQuery('#verifieftp').html('Verified <span class="operationno">Disabled</span> - '+date);
			}
		}
	}
	jQuery('legend a').click(function() {
		jQuery('#serveftp .item div.form-horizontal-desktop').not(':hidden').each(function(){
			jQuery(this).slideToggle();		
		});
		jQuery(this).parent().parent().find('.form-horizontal-desktop').slideToggle();
	});
	jQuery('#serveftp .item .verific').click(function() {
		var trvmydiv = jQuery(this).parent().parent().parent();
		trvmydiv.next().find('.form-horizontal-desktop').slideToggle();
		trvmydiv.find('.form-horizontal-desktop').slideToggle();
	});
}
