CREATE TABLE `#__ytwebtools_hierar` (
  `id` int(11) NOT NULL,
  `idsite` int(11) NOT NULL,
  `idsauv` int(11) NOT NULL,
  `nomfichier` varchar(255) NOT NULL,
  `asauv` int(2) NOT NULL,
  `fichoudoss` tinyint(4) NOT NULL,
  `poid` int(11) NOT NULL,
  `datemodif` int(11) NOT NULL,
  `shamd5` varchar(255) NOT NULL,
PRIMARY KEY (`id`)
) DEFAULT COLLATE=utf8mb4_unicode_ci;


CREATE TABLE `#__ytwebtools_sauvegardes` (
  `id` int(11) NOT NULL,
  `idsite` int(11) NOT NULL,
  `datetsauve` datetime NOT NULL,
  `type` tinyint(4) NOT NULL,
  `manoucron` int(11) NOT NULL,
  `rapport` longtext NOT NULL,
  `rappfilessup` longtext NOT NULL,
  `rappfilesajou` longtext NOT NULL,
  `rappfilesmodif` longtext NOT NULL,
  `dumpsql` int(4) NOT NULL DEFAULT '0',
  `cle` text NOT NULL,
  `nbficaj` int(11) NOT NULL,
  `nbficsu` int(11) NOT NULL,
  `nbficmo` int(11) NOT NULL,
  `poidsauv` int(200) NOT NULL,
  `finalisation` int(11) NOT NULL DEFAULT '0',
  `alertm` tinyint(4) NOT NULL,
  `alertmes` varchar(255) NOT NULL,
  `valeurcomp` int(11) NOT NULL,
  `sauveftpsrv` varchar(255) NOT NULL,
  `sauveftpiden` varchar(255) NOT NULL,
  `sauveftppas` varchar(255) NOT NULL,
  `sauveftppor` int(11) NOT NULL,
  `sauveftpdir` varchar(255) NOT NULL,
PRIMARY KEY (`id`)
) DEFAULT COLLATE=utf8mb4_unicode_ci;


CREATE TABLE `#__ytwebtools_liste` (
  `id` int(11) UNSIGNED NOT NULL,
  `ordering` int(11) NOT NULL,
  `state` tinyint(1) NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `cmstype` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `version` varchar(5) COLLATE utf8mb4_unicode_ci NOT NULL,
  `dateajout` datetime NOT NULL,
  `datemodif` datetime NOT NULL,
  `datedersauv` datetime NOT NULL,
  `iddernsov` int(11) NOT NULL,
  `typesauve` int(11) NOT NULL,
  `frequence` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `cron` tinyint(4) NOT NULL,
  `datecron` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `published` int(11) NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `infosupp` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `accesftp` tinyint(4) NOT NULL,
  `serveftp` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `portftp` int(11) NOT NULL,
  `identftp` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `mdpftp` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `dossierftp` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `clecomp` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `servesql` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `identsql` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `prefixsql` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `passsql` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `portsql` int(11) NOT NULL,
  `passcompress` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `sqlbdd` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `servephpv` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `servesqlv` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `urlsite` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ftpdossierracine` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `sausqlcomplet` tinyint(4) NOT NULL,
  `servezip` tinyint(4) NOT NULL,
  `serveaccess` int(4) NOT NULL,
  `sauvtype` tinyint(4) NOT NULL,
  `sauveou` tinyint(4) NOT NULL,
  `ftpext` tinyint(4) NOT NULL,
  `ftpexserv` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ftpexport` int(11) NOT NULL,
  `ftpextident` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ftpextpass` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ftpextdossier` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `verifversion` tinyint(4) NOT NULL,
  `verifurldte` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `verifftpdte` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `verifsqldte` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `methsauv` int(11) NOT NULL,
  `dossierexclus` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `rappsauv` int(11) NOT NULL,
  `rappmail` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `racine` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
PRIMARY KEY (`id`)
) DEFAULT COLLATE=utf8mb4_unicode_ci;


INSERT INTO `#__ytwebtools_liste` (`id`, `ordering`, `state`, `checked_out`, `checked_out_time`, `created_by`, `modified_by`, `name`, `cmstype`, `version`, `dateajout`, `datemodif`, `datedersauv`, `iddernsov`, `typesauve`, `frequence`, `cron`, `datecron`, `published`, `description`, `infosupp`, `accesftp`, `serveftp`, `portftp`, `identftp`, `mdpftp`, `dossierftp`, `clecomp`, `servesql`, `identsql`, `prefixsql`, `passsql`, `portsql`, `passcompress`, `sqlbdd`, `servephpv`, `servesqlv`, `urlsite`, `ftpdossierracine`, `sausqlcomplet`, `servezip`, `serveaccess`, `sauvtype`, `sauveou`, `ftpext`, `ftpexserv`, `ftpexport`, `ftpextident`, `ftpextpass`, `ftpextdossier`, `verifversion`, `verifurldte`, `verifftpdte`, `verifsqldte`, `methsauv`, `dossierexclus`, `rappsauv`, `rappmail`, `racine`) VALUES
(1, 1, 1, 0, '0000-00-00 00:00:00', 596, 596, 'Website Test 1', '', '', '2017-07-05 21:48:21', '2017-07-05 21:48:21', '0000-00-00 00:00:00', 0, 0, '3', 1, '', 1, '', '', 1, 'test.test', 21, 'test', 'test', '', '1216690040', '', '', '', '', 3306, '', '', '', '', 'http://www.test.test', '/', 1, 0, 0, 1, 0, 0, '', 21, '', '', '', 0, '', '', '', 1, '', 0, '', ''),
(2, 2, 1, 0, '0000-00-00 00:00:00', 596, 596, 'Website Test 2', '', '', '2017-07-05 21:48:21', '2017-07-05 21:48:53', '0000-00-00 00:00:00', 0, 0, '3', 1, '', 1, '', '', 1, 'test.test', 21, 'test', 'test', '', '1216690040', '', '', '', '', 3306, '', '', '', '', 'http://www.test.test', '/', 1, 0, 0, 1, 0, 0, '', 21, '', '', '', 0, '', '', '', 1, '', 0, '', ''),
(3, 3, 1, 0, '0000-00-00 00:00:00', 596, 596, 'Website Test 3', '', '', '2017-07-05 21:48:21', '2017-07-05 21:49:04', '0000-00-00 00:00:00', 0, 0, '3', 1, '', 1, '', '', 1, 'test.test', 21, 'test', 'test', '', '1216690040', '', '', '', '', 3306, '', '', '', '', 'http://www.test.test', '/', 1, 0, 0, 1, 0, 0, '', 21, '', '', '', 0, '', '', '', 1, '', 0, '', '');

INSERT INTO `#__content_types` (`type_title`, `type_alias`, `table`, `content_history_options`)
SELECT * FROM ( SELECT 'Site internet','com_ytwebtools.siteinternet','{"special":{"dbtable":"#__ytwebtools_liste","key":"id","type":"Site internet","prefix":"External Websites BackupTable"}}', '{"formFile":"administrator\/components\/com_ytwebtools\/models\/forms\/siteinternet.xml", "hideFields":["checked_out","checked_out_time","params","language"], "ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time"], "convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"group_id","targetTable":"#__usergroups","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}') AS tmp
WHERE NOT EXISTS (
	SELECT type_alias FROM `#__content_types` WHERE (`type_alias` = 'com_ytwebtools.siteinternet')
) LIMIT 1;


ALTER TABLE `#__ytwebtools_hierar`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
ALTER TABLE `#__ytwebtools_liste`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
ALTER TABLE `#__ytwebtools_sauvegardes`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
