<?php
/**
 * @version    0.0.1
 * @package    Com_ytwebtools lite
 * @author     Yannick TANGUY <contact@yannicktanguy.com>
 * @copyright  2017 Yannick TANGUY
 * @license    GNU General Public License version 2 ou version ultérieure ; Voir LICENSE.txt
 */
 
// No direct access
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('formbehavior.chosen', 'select');
JHtml::_('behavior.keepalive');

function calculoctets ($octets){
    $nbpdfit = strlen($octets);
    if ($nbpdfit <= 3) { $txtpoidtot=$octets.' octets';}
    if ($nbpdfit > 3 and $nbpdfit<= 6) { $txtpoidtot=substr($octets, 0, -3).' Ko';}
    if ($nbpdfit > 6 ) { $txtpoidtot=substr($octets, 0, -6).' Mo';}  
    return $txtpoidtot;
}

// Import CSS
$document = JFactory::getDocument();
$document->addStyleSheet(JUri::root() . 'media/com_ytwebtools/css/form.css');
$document->addStyleSheet(JUri::base() . 'components/com_ytwebtools/assets/css/ytwebtools.css');
$document->addStyleSheet(JUri::base() . 'components/com_ytwebtools/assets/css/font-awesome.min.css');
?>
<input type="hidden" id="arreturgence" value="0" />
<div id="chargement">
  <div class="chargebloc" id="chargebloc"></div>
  <div class="voirlinfo">
    <div id="linfoici"><div id="forceferme"></div><div class="titrager"></div><div id="zyvalinfo"></div></div>
  </div>
</div>
<script type="text/javascript">
	js = jQuery.noConflict();
	Joomla.submitbutton = function (task) {
		if (task == 'siteinternet.cancel') { Joomla.submitform(task, document.getElementById('siteinternet-form'));	}
		else {
			if (task != 'siteinternet.cancel' && document.formvalidator.isValid(document.id('siteinternet-form'))) { Joomla.submitform(task, document.getElementById('siteinternet-form')); }
			else { alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED')); ?>'); }
		}
    }
    
window.onload = function(){
        verifurldte();
        verifftpdte();
        verifsqldte();
        statusaccess();
        affidossexcl();
        laverifousauv();
        titrager();
        makmdfive();
        rechargesauves();
        function datenmaintenant() {
            var da = new Date(Date.now()),
                mois = '' + (da.getMonth() + 1),
                jour = '' + da.getDate(),
                annee = da.getFullYear(),
                heure = da.getHours(),
                minute = da.getMinutes(),
                seconde = da.getSeconds();
            if (mois.toString().length < 2){ mois='0' + mois; }
            if (jour.toString().length < 2){ jour='0' + jour; }
            if (heure.toString().length < 2){ heure='0' + heure; }
            if (minute.toString().length < 2){ minute='0' + minute; }
            if (seconde.toString().length < 2){ seconde='0' + seconde; }
            return annee+"/"+mois+"/"+jour+" "+heure+":"+minute+":"+seconde;
            scrollmoi();
    }
    function calculoctets(octets){
        octets = Math.abs(parseInt(octets, 10));
        var def = [[1, 'octets'], [1024, 'ko'], [1024*1024, 'Mo'], [1024*1024*1024, 'Go'], [1024*1024*1024*1024, 'To']];
        for(var i=0; i<def.length; i++){
            if(octets<def[i][0]) return (octets/def[i-1][0]).toFixed(2)+' '+def[i-1][1];
        }
    }
		// verification url
    function verifurl(){
        var daurl = jQuery('#jform_urlsite').val();
        var urlcible = jQuery('#urlselft').val();
        jQuery('#zyvalinfo').append('<div class="datitle"><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_ETAPEUN', true)); ?></div>');
        if (urlcible== false){
            jQuery('#zyvalinfo').append('<div class="operationno"><span class="fa fa-times"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_VURLEXISTNO', true)); ?></div>');
            verifftp();
        } else {
            jQuery.post( urlcible, { lacibleurl: daurl }).done(function( data ) {
                var timestamp = Math.floor(Date.now() / 1000);
                jQuery('#jform_verifurldte').val(data+'*'+timestamp);
                if(data=='1'){
                    jQuery('#jform_serveaccess').val(1);
                    jQuery('#zyvalinfo').append('<div class="operationok"><span class="fa fa-check"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_VURLEXISTOK', true)); ?></div>');
                }
                if(data=='2'){
                    jQuery('#jform_serveaccess').val(2);
                    jQuery('#zyvalinfo').append('<div class="operationokde"><span class="fa fa-exclamation"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_VERIFURLREDIR', true)); ?></div>');
                }
                if(data=='0'){
                    jQuery('#jform_serveaccess').val(0);
                    jQuery('#zyvalinfo').append('<div class="operationno"><span class="fa fa-times"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_VURLEXISTNO', true)); ?></div>');
                }
                var lurlestvalid=data;
                verifurldte();
                verifftp();
            });
        }
    }
    
        // Verification version 
        
        function verifversioncp (urlcible, typeftp, servftp ,portftp ,identftp ,motdepassftp ,ftpdossierracine, clecomp, testservesql, testportsql, testidentsql, testpasssql, testsqlbdd, clemdcial, daurl, idsite, btnc, asauv){
            var txtret;
            if (idsite==''){ idsite='0'; }
            var request = jQuery.ajax({
                method: "POST",
                url:urlcible,
                timeout: 500,
                data : {
                    tserve : typeftp ,
                    srvftp: servftp ,
                    prtftp : portftp ,
                    idtnftp : identftp ,
                    mdpftp : motdepassftp ,
                    folderftp: ftpdossierracine,
                    clecompcr:clecomp,
                    servesql:testservesql,
                    portsql:testportsql,
                    identsql:testidentsql,
                    passsql:testpasssql,
                    sqlbdd:testsqlbdd,
                    siteid:idsite,
                    poursauv: asauv,
                    clemdci:clemdcial,
                    func:'testphpmysql' ,
                    testurl:daurl
                },
                async: false,
                success : function(data){
                    if(data=='49' || data =='48'){
                        txtret = '<div class="operationno"><span class="fa fa-times"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_CONMYSQLNON', true)); ?></div>';
                    }
                    else {
                        res = data.split('µµ');
                        phpver=res[0];
                        mysqlbdtest=res[1];
                        mysqlver=res[2];
                        cmsver=res[3];
                        racine=res[4];
                        compbz=res[5];
                        oldcmsver=res[6];
                        oldphpver=res[7];
                        oldsqlver=res[8];
                        if (oldcmsver != ''){
                            if (oldcmsver == cmsver || idsite == '0'){ cmsvertxt = cmsver+' <span class="fa fa-check"></span>'; } else { cmsvertxt = cmsver+' <span class="fa fa-exclamation"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_VERPRECE', true)); ?> : '+oldcmsver; }
                        } else { cmsvertxt = cmsver+' <span class="fa fa-check"></span>';  }
                        if (oldphpver != ''){
                            if (oldphpver == phpver || idsite == '0'){ phpvertxt = phpver+' <span class="fa fa-check"></span>'; } else { phpvertxt = phpver+' <span class="fa fa-exclamation"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_VERPRECE', true)); ?> : '+oldphpver; }
                        } else { phpvertxt = phpver+' <span class="fa fa-check"></span>'; }
                        
                        jQuery('#jform_verifsqldte').val('');
                        var timestamp = Math.floor(Date.now() / 1000);
                        if (mysqlbdtest=='0'){
                            mysqlfrm="0*"+timestamp;
                            var mysqltxt='<span class="fa fa-check"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_SQLVERIFE', true)); ?>';
                        }
                        if (mysqlbdtest=='1'){
                            mysqlfrm=mysqlbdtest+"*"+timestamp;
                            var mysqltxt=mysqlver;
                        }
                        if (oldsqlver != ''){
                            if (oldsqlver == mysqltxt || idsite == '0'){ mysqltxttt = mysqltxt+' <span class="fa fa-check"></span>'; } 
                            else { mysqltxttt = mysqltxt+' <span class="fa fa-exclamation"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_VERPRECE', true)); ?> : '+oldsqlver; }
                        } else { var mysqltxttt = mysqltxt+' <span class="fa fa-check"></span>'; }
                        txtcmsver = cmsver;
                        if (cmsver == '<?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_NONRECONNU', true)); ?>'){ cmsver = '<span class="fa fa-times"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_NONRECONNU', true)); ?>';  txtcmsver = '<?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_NONRECONNU', true)); ?>';}
                        jQuery('#jform_verifsqldte').val(mysqlfrm);
                        jQuery('#jform_servephpv').val(phpver);
                        jQuery('#jform_servesqlv').val(mysqltxt);
                        jQuery('#jform_cmstype').val(txtcmsver);
                        jQuery('#jform_racine').val(racine);
                        txtret = '<?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_VERSIONPHPJAV', true)); ?> : '+phpvertxt+'<br /> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_VERSIONMYSQLJAV', true)); ?> : '+mysqltxttt+' <br /><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_VERSIONCMSTXT', true)); ?> : '+cmsvertxt;
                    }
                }
            });
            return txtret;
        }
        
		// verification ftp - connexion et tests insert lecture suppression 
		
        function verifftp(){
			var typeftp = jQuery('#jform_accesftp').val();
			var servftp = jQuery('#jform_serveftp').val();
			var portftp = jQuery('#jform_portftp').val();
			var identftp = jQuery('#jform_identftp').val();
			var motdepassftp = jQuery('#jform_mdpftp').val();
			var clecomp = jQuery('#jform_clecomp').val();
			jQuery('#zyvalinfo').append('<div class="datitle"><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_ETAPEDE', true)); ?></div>');
			var ftpdossierracine = jQuery('#jform_ftpdossierracine').val();
			var urlcible = jQuery('#urlselft').val();
            var urlcibleins = jQuery('#jform_urlsite').val();
            
            // Test Connect FTP
            
			jQuery.post( urlcible, { 
				tserve : typeftp ,
				srvftp: servftp ,
				prtftp : portftp ,
				idtnftp : identftp ,
				mdpftp : motdepassftp ,
                timeout: 500,
				folderftp: ftpdossierracine,
				func:'connectftp'
				}).done(function( data ) {
				var timestamp = Math.floor(Date.now() / 1000);
                
                // Test insert FTP
                
				jQuery('#jform_verifftpdte').val(data+'*'+timestamp);
				if(data=='1'){
					jQuery('#zyvalinfo').append('<div class="operationok"><span class="fa fa-check"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_VFTPEXISTOK', true)); ?></div>');
					jQuery('#zyvalinfo').append('<div class="datitle"><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_ETAPETR', true)); ?></div>');
					var daurl = jQuery('#jform_urlsite').val();
					jQuery.post( urlcible, { 
						tserve : typeftp ,
						srvftp: servftp ,
						prtftp : portftp ,
						idtnftp : identftp ,
						mdpftp : motdepassftp ,
						folderftp: ftpdossierracine,
                        timeout: 500,
						clecompcr:clecomp,
						func:'insertftp' ,
						testurl:daurl
						}).done(function( data ) {
						if(data=='41'){
							jQuery('#zyvalinfo').append('<div class="operationok"><span class="fa fa-check"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_INSERTFTPOK', true)); ?></div>');
                            var ladteveriurl = jQuery('#jform_verifurldte').val();
                            if (ladteveriurl != '' ){
                                var resurlon = ladteveriurl.split("*");
                                var urlouinon = resurlon[0];
                            }
                            if(urlouinon=='1'){ jQuery('#zyvalinfo').append('<div class="datitle"><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_ETAPEQU', true)); ?></div>'); }
                            else { jQuery('#zyvalinfo').append('<div class="datitle"><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_ETAPEQUFTP', true)); ?></div>');}
                            var verfaccftp= jQuery('#jform_serveaccess').val();
                            
                            // Test Verif insert FTP
                            
                            jQuery('#jform_serveaccess').val(verfaccftp+'1');
							jQuery.post( urlcible, { 
                            tserve : typeftp ,
                            srvftp: servftp ,
                            prtftp : portftp ,
                            idtnftp : identftp ,
                            mdpftp : motdepassftp ,
                            folderftp: ftpdossierracine,
                            timeout: 500,
							clecompcr:clecomp,
							func:'verifinsert' ,
							testurl:urlcibleins,
                            leurlok:urlouinon                            
							}).done(function( data ) {
                                if(data=='50'){
									jQuery('#zyvalinfo').append('<div class="operationno"><span class="fa fa-times"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_LECTIMPOSS', true)); ?></div>');
                                    var verfaccftp= jQuery('#jform_serveaccess').val();
                                    jQuery('#jform_serveaccess').val(verfaccftp+'0');
                                    var blockverifi = "1";
								}
								if(data=='43'){
									jQuery('#zyvalinfo').append('<div class="operationok"><span class="fa fa-check"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_LECTOK', true)); ?></div>');
                                    var verfaccftp= jQuery('#jform_serveaccess').val();
                                    jQuery('#jform_serveaccess').val(verfaccftp+'1');
                                    var blockverifi = "0";
								}
								if(data=='44'){
									jQuery('#zyvalinfo').append('<div class="operationno"><span class="fa fa-times"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_LECTNON', true)); ?></div>');
                                    var verfaccftp= jQuery('#jform_serveaccess').val();
                                    jQuery('#jform_serveaccess').val(verfaccftp+'0');
                                    var blockverifi = "0";
                                }
                            
                                // Check delete FTP file
                            
								jQuery('#zyvalinfo').append('<div class="datitle"><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_ETAPECI', true)); ?></div>');
								jQuery.post( urlcible, { 
								tserve : typeftp ,
								srvftp: servftp ,
								prtftp : portftp ,
								idtnftp : identftp ,
								mdpftp : motdepassftp ,
								folderftp: ftpdossierracine,
								clecompcr:clecomp,
                                 timeout: 500,
								func:'deleteftp' ,
								testurl:daurl
								}).done(function( data ) {
									if(data=='46'){
										jQuery('#zyvalinfo').append('<div class="operationok"><span class="fa fa-check"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_SUPPROK', true)); ?></div>');
                                        var verfaccftp= jQuery('#jform_serveaccess').val();
                                        jQuery('#jform_serveaccess').val(verfaccftp+'1');
									}
									if(data=='47'){
										jQuery('#zyvalinfo').append('<div class="operationno"><span class="fa fa-times"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_SUPPRNONOK', true)); ?></div>');
                                        var verfaccftp= jQuery('#jform_serveaccess').val();
                                        jQuery('#jform_serveaccess').val(verfaccftp+'0');
                                    }
                                    if (blockverifi == "0"){
                                        var testservesql = jQuery('#jform_servesql').val();
                                        var testportsql = jQuery('#jform_portsql').val();
                                        var testidentsql = jQuery('#jform_identsql').val();
                                        var testpasssql = jQuery('#jform_passsql').val();
                                        var testsqlbdd = jQuery('#jform_sqlbdd').val();
                                        var clemdcial = jQuery('#jform_cledcal').val();
                                        var idsite = jQuery('#jform_id').val();
                                        if (testservesql.length > 1 && testpasssql.length > 1){
                                            // Verification versions
                                            jQuery('#zyvalinfo').append('<div class="datitle"><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_ETAPESI', true)); ?></div>');
                                            var attret = verifversioncp(urlcible, typeftp, servftp ,portftp ,identftp ,motdepassftp ,ftpdossierracine, clecomp, testservesql, testportsql, testidentsql, testpasssql, testsqlbdd, clemdcial, daurl, idsite, 1, 0);
                                            jQuery('#zyvalinfo').append(attret);
                                            if (attret !=''){ leclosbouton(1); }
                                        }
                                        else { leclosbouton(1); }
                                    }
                                    else {
                                        jQuery('#zyvalinfo').append('<div class="operationno"><span class="fa fa-times"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_FTPUNIQUEMENT', true)); ?></div>');
                                        
                                     }
								});
							});
						}
						if(data=='42'){
							jQuery('#zyvalinfo').append('<div class="operationno"><span class="fa fa-times"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_INSERTJAVFAIL', true)); ?></div>');
							jQuery('#zyvalinfo').append('<div class="operationno"><span class="fa fa-times"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_INSERTECRSRVF', true)); ?></div>');
							var verfaccftp= jQuery('#jform_serveaccess').val();
                            jQuery('#jform_serveaccess').val(verfaccftp+'000');
                            leclosbouton(1);
						}
						if(data=='45'){
							jQuery('#zyvalinfo').append('<div class="operationno"><span class="fa fa-times"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_TESTECRIT', true)); ?></div>');
                            var verfaccftp= jQuery('#jform_serveaccess').val();
                            jQuery('#jform_serveaccess').val(verfaccftp+'000');
							leclosbouton(1);
						}
						if(data=='0'){
							jQuery('#zyvalinfo').append('<div class="operationno"><span class="fa fa-times"></span> '+messftppbno+'</div>');
							jQuery('#zyvalinfo').append('<div class="operationno"><span class="fa fa-times"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_FTPVERIFNO', true)); ?></div>');
							leclosbouton(1);
						}
					});
				}
				if(data=='0'){
					jQuery('#zyvalinfo').append('<div class="operationno"><span class="fa fa-times"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_VFTPEXISTNO', true)); ?></div>');
					jQuery('#zyvalinfo').append('<div class="operationno"><span class="fa fa-times"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_FTPVERIFNODE', true)); ?></div>');
					leclosbouton(1);
				}
			});
		}
		jQuery('#verifinsert').click(function () {
			jQuery('#chargement').slideToggle();
			jQuery('#chargebloc').slideToggle();
            titrager();
			verifurl();
		});
		function leclosbouton(tp) {
            if (tp !=3){
                jQuery('#chargebloc').slideToggle();
                var htmlarajoutpp = '<input type="button" class="btn btn-small funcrap" value="<?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_VBTNCONT', true)); ?>" id="lbtnferm" />';
                jQuery('#linfoici').append('<div>'+htmlarajoutpp+'</div>');
                scrollmoi();
                jQuery('#lbtnferm').click(function () { 
                    jQuery('#chargement').slideToggle();
                    jQuery('#zyvalinfo').html('');
                    jQuery('#lbtnferm').remove();
                });
                jQuery('#closed').remove();
                jQuery('#arreturgence').val('0');
                if (tp == 1){
                    verifurldte();
                    verifftpdte();
                    verifsqldte();
                    statusaccess();
                }
            }
		}
		function scrollmoi() {
            var scro = jQuery('#linfoici');
            var haut = scro[0].scrollHeight;
            scro.scrollTop(haut);
		}
		function verifurldte() {
			var ladteveriurl = jQuery('#jform_verifurldte').val();
			if (ladteveriurl != '' ){
				var resurlon = ladteveriurl.split("*");
				var urlouinon = resurlon[0];
				var urltestdte = resurlon[1];
				var date = new Date(urltestdte*1000);
				if (urlouinon==1){
					jQuery('#verifieurl').html('<span class="fa fa-check"></span> <span class="operationok"><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_ENABLED', true)); ?></span><span class="opttext "> - '+date+'</span>');
                    jQuery('#verifhttp').html('<span class="fa fa-check"></span>');
                }
                if (urlouinon==0){
					jQuery('#verifieurl').html('<span class="fa fa-times"></span> <span class="operationno"><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_DISABLED', true)); ?></span><span class="opttext "> - '+date+'</span>');
                    jQuery('#verifhttp').html('<span class="fa fa-times"></span>');
                }
                if (urlouinon==2){
					jQuery('#verifieurl').html('<span class="fa fa-exclamation"></span> <span class="operationokde"><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_URLREDIR', true)); ?></span><span class="opttext "> - '+date+'</span>');
                    jQuery('#verifhttp').html('<span class="fa fa-exclamation"></span>');
                }
			}
		}
		function verifftpdte() {
            jQuery('#verifieftp').html('');
			var ladteveriftp = jQuery('#jform_verifftpdte').val();
			if (ladteveriftp != '' ){
				var resftpon = ladteveriftp.split("*");
				var ftpouinon = resftpon[0];
				var ftptestdte = resftpon[1];
				var date = new Date(ftptestdte*1000);
				if (ftpouinon==1){
                    var statacc = jQuery('#jform_serveaccess').val();
                    var eltaa = ['0000','1000','2000'];
                    var eltab = ['0111','1111','2111'];
                    var eltac = ['0001','0010','0100','0101','1001','1010','1100','1101','2001','2010','2100','2101'];
                    if (jQuery.inArray( statacc, eltaa ) != -1){ jQuery('#verifieftp').html('<span class="fa fa-times"></span> <span class="operationno"><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_DISABLED', true)); ?></span><span class="opttext "> - '+date+'</span>'); jQuery('#verifftp').html('<span class="fa fa-times"></span>'); }
                    if (jQuery.inArray( statacc, eltab ) != -1){ jQuery('#verifieftp').html('<span class="fa fa-check"></span> <span class="operationok"><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_ENABLED', true)); ?></span><span class="opttext "> - '+date+'</span>'); jQuery('#verifftp').html('<span class="fa fa-check"></span>'); }
                    if (jQuery.inArray( statacc, eltac ) != -1){ jQuery('#verifieftp').html('<span class="fa fa-exclamation"></span> <span class="operationno"><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_PRESQUE', true)); ?></span><span class="opttext "> - '+date+'</span>'); jQuery('#verifftp').html('<span class="fa fa-exclamation"></span>'); }
				} else { jQuery('#verifieftp').html('<span class="fa fa-times"></span> <span class="operationno"><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_DISABLED', true)); ?></span><span class="opttext "> - '+date+'</span>'); }
			}
        }
		function verifsqldte() {
			var ladteverisql = jQuery('#jform_verifsqldte').val();
			if (ladteverisql != '' ){
				var ressqlon = ladteverisql.split("*");
				var sqlouinon = ressqlon[0];
				var sqltestdte = ressqlon[1];
				var date = new Date(sqltestdte*1000);
				if (sqlouinon==1){ jQuery('#verifiesql').html('<span class="fa fa-check"></span> <span class="operationok"><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_ENABLED', true)); ?></span><span class="opttext "> - '+date+'</span>'); jQuery('#verifsql').html('<span class="fa fa-check"></span>');  }
                if (sqlouinon==0){ jQuery('#verifiesql').html('<span class="fa fa-times"></span> <span class="operationno"><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_DISABLED', true)); ?></span><span class="opttext "> - '+date+'</span>'); jQuery('#verifsql').html('<span class="fa fa-times"></span>');  }
			}
        }
        function statusaccess() {
			var statacc = jQuery('#jform_serveaccess').val();
			if (statacc != '0' || statacc != '' ){
				var urltest= statacc.charAt(0);
				var ftpecrit= statacc.charAt(1);
				var ftplectu= statacc.charAt(2);
                var ftpsupp= statacc.charAt(3);
                var mess = '';
                var eltaa = ['1111','2111'];
                var eltab = ['0011','0001','0010','0100','0110','0101','1100','1110','1101','1101','2100','2110','2101'];
                var eltac = ['0000','1000','2000'];
                if (jQuery.inArray( statacc, eltaa ) != -1){
                    var ladteverisql = jQuery('#jform_verifsqldte').val();
                    if (ladteverisql != '' ){ var ressqlon = ladteverisql.split("*"); var sqlouinon = ressqlon[0]; }
                    if (sqlouinon == '1') { mess = ' <span class="zeafterftp operationok"><span class="fa fa-check"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_SAVHTFTSQL', true)); ?></span>'; }
                    else { mess = ' <span class="zeafterftp operationokde"><span class="fa fa-exclamation"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_SAVHTMLFTP', true)); ?></span>'; }
                }
                if (jQuery.inArray( statacc, eltab ) != -1){ mess = ' <span class="zeafterftp operationokde"><span class="fa fa-exclamation"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_FTPUNIQUEM', true)); ?></span>'; }
                if (jQuery.inArray( statacc, eltac ) != -1){ mess = ' <span class="zeafterftp operationno"><span class="fa fa-exclamation"></span><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_SAUVEPASMETH', true)); ?></span>'; }
                jQuery('#proptsauv').html(mess);
                jQuery('#proptsauvsupp').html(mess);
                lemotok='<span class="fa fa-check"></span>';
                lemotno='<span class="fa fa fa-times"></span>';
                if (ftpecrit=="1"){ ftpecrittxt = lemotok; } else { ftpecrittxt = lemotno; }
                if (ftplectu=="1"){ ftplectutxt = lemotok; } else { ftplectutxt = lemotno; }
                if (ftpsupp=="1"){ ftpsupptxt = lemotok; } else { ftpsupptxt = lemotno; }
                jQuery('#verifieftp').append(' <span class="zeafterftp"> - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_ECRITUREFTP', true)); ?> '+ftpecrittxt+' - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_LECTUREFTP', true)); ?> '+ftplectutxt+' - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_SUPPRFTP', true)); ?> '+ftpsupptxt+'</span>');
			}
        }
        function titrager() {
            var letitre = '<div id="closed" class="fa fa-times"></div>'+jQuery('#jform_name').val();
            jQuery('.titrager').html(letitre);
            closedfrm();
        }
        function makmdfive() {
            var urlcible = jQuery('#urlselft').val();
            jQuery.post( urlcible, { makemdfive:'thatsnice'}).done(function( data ) {
                jQuery('#jform_cledcal').val(data);
            });
        }
		jQuery('legend').click(function() {
            var lavalvu = jQuery(this).attr('id');
            var idparentt = jQuery(this).parent().attr('id');
            jQuery('#'+idparentt+' legend').removeClass('active');
            if (lavalvu =='etapun'){ jQuery('#chmpde').hide();jQuery('#chmptr').hide();jQuery('#chmpqu').hide();jQuery('#chmpun').show(); }
            if (lavalvu =='etapde'){ jQuery('#chmpun').hide();jQuery('#chmptr').hide();jQuery('#chmpqu').hide();jQuery('#chmpde').show(); }
            if (lavalvu =='etaptr'){ jQuery('#chmpde').hide();jQuery('#chmpun').hide();jQuery('#chmpqu').hide();jQuery('#chmptr').show(); }
            if (lavalvu =='etapqu'){ jQuery('#chmpde').hide();jQuery('#chmptr').hide();jQuery('#chmpun').hide();jQuery('#chmpqu').show(); }
            //if (lavalvu =='etapci'){ jQuery('#chmpsi').hide();jQuery('#chmpse').hide();jQuery('#chmpci').show(); }
            if (lavalvu =='etapsi'){ jQuery('#chmpse').hide();jQuery('#chmpsi').show(); }
            if (lavalvu =='etapse'){ jQuery('#chmpsi').hide();jQuery('#chmpse').show(); }
            jQuery(this).addClass('active');
		});
        jQuery('#myTabTabs li a').click(function() { titrager(); });
        jQuery('#exclus').click(function () {
			jQuery('#chargement').slideToggle();
			jQuery('#chargebloc').slideToggle();
			exclusion();
            titrager();
		});
        function rechargesauves (){
            var urlcible = jQuery('#urlselft').val();
            var typeftp = jQuery('#jform_accesftp').val();
            var idsite = jQuery('#jform_id').val();
            var daurl = jQuery('#jform_urlsite').val();
            var servftp = jQuery('#jform_serveftp').val();
            var rett;
            var request = jQuery.ajax({
                method: "POST",
                url:urlcible,
                data : {
                    tserve : typeftp ,
                    srvftp: servftp ,
                    siteid:idsite,
                    timeout: 500,
                    func:'rechargesaugardes' ,
                    testurl:daurl
                },
                async: false,
                success : function(data){
                    jQuery('#retoursauvef').html(data);
                    functafftel();
                    jQuery('#zyvalinfo').append(datenmaintenant()+' - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_RECHARGESAUVEG', true)); ?><br />');
                    rett = 1;
                },
                error : function() {
                    rett = 0;
                }
            });
            return rett;
        }
        function functionrap (thiedc, reclaclass, theidr){
            jQuery('#chargement').slideToggle();
			jQuery('#chargebloc').slideToggle();
            titrager();
            if ( reclaclass == 'btn btn-small funcrap'){ affichrapport(thiedc); }
            if ( reclaclass == 'btn btn-small funcres'){ faitrestaura(thiedc, theidr); }
            if ( reclaclass == 'btn btn-small functel'){ faittelecharg(thiedc); }
            if ( reclaclass == 'btn btn-small funcsuppr'){ faitsupprimer(thiedc); }
        }
        function functafftel (){
            jQuery('#retoursauvef button').click(function() { 
                var reclaclass = jQuery(this).attr('class');
                var thiedc = jQuery(this).parent().parent().children('.lebtnsha').val();
                var theidr = jQuery(this).parent().parent().children('.theidff').html();
                functionrap(thiedc, reclaclass, theidr); 
            });
        }
        function saverapdts () {
            var lerapporttot = jQuery('#zyvalinfo').html();
			var urlcible = jQuery('#urlselft').val();
            var typeftp = jQuery('#jform_accesftp').val();
            var urlcible = jQuery('#urlselft').val();
            var servftp = jQuery('#jform_serveftp').val();
            var clemdcial = jQuery('#jform_cledcal').val();
            jQuery.post( urlcible, { 
            tserve : typeftp ,
            srvftp: servftp ,
            clemdci:clemdcial,
            infostotale : lerapporttot,
            func:'saverapps' 
            });
        }
        function affichrapport(thiedc){
            jQuery('#zyvalinfo').append('<div class="datitle"><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_AFFRAPPORT', true)); ?></div>'); 
            var servftpextcomp = jQuery('#jform_clecomp').val();
			var urlcible = jQuery('#urlselft').val();
            var typeftp = jQuery('#jform_accesftp').val();
            var urlcible = jQuery('#urlselft').val();
            var servftp = jQuery('#jform_serveftp').val();
            jQuery.post( urlcible, { 
            tserve : typeftp ,
            srvftp: servftp ,
            timeout: 500,
            clemdci:thiedc,
            func:'rapports' 
            }).done(function( data ) {
                jQuery('#zyvalinfo').append(data);
                jQuery('#lstficmo input').click(function () {
                    var findo = jQuery("#lstficmo").attr('alt');
                    var idfnclst = jQuery(this).attr('id');
                    jQuery.post( urlcible, { 
                    tserve : typeftp ,
                    srvftp: servftp ,
                    typefuncg: idfnclst,
                    clemdci:findo,
                    func:'rappfics' 
                    }).done(function( data ) {
                        jQuery('#zyvalinfo').append(data);
                        jQuery('#'+idfnclst).remove();
                    });
                });
                leclosbouton(2);
            });
        }
        function faitrestaura(thiedc, theidr){
            jQuery('#zyvalinfo').append('<div class="datitle"><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_RESTAURASAUV', true)); ?></div>');
            var servftpextcomp = jQuery('#jform_clecomp').val();
			var urlcible = jQuery('#urlselft').val();
            var typeftp = jQuery('#jform_accesftp').val();
            var urlcible = jQuery('#urlselft').val();
            var servftp = jQuery('#jform_serveftp').val();
            var idsite = jQuery('#jform_id').val();
            jQuery.post( urlcible, { 
            tserve : typeftp ,
            srvftp: servftp ,
            timeout: 500,
            clemdci:thiedc,
            siteid:idsite,
            idresto:theidr,
            func:'restotrouveid' 
            }).done(function( data ) {
                //jQuery('#zyvalinfo').append(data+"<br />");
                var arraycont = data.split('-');
                var calcultmp = arraycont.length;
                var infostmpcp='';
                if ((calcultmp - 1) !=0 ){ infostmpcp = " et "+ (calcultmp - 1) +" <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_SAUVINCARE', true)); ?>"; }
                jQuery('#zyvalinfo').append('<?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_ILYAUNESAUV', true)); ?>'+infostmpcp+'.<input type="hidden" value="'+data+'" id="retourinfocp" /><br /><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_ETESVOUSCERTA', true)); ?> <input class="btn btn-small funcrap" type="button" value="<?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_OUI', true)); ?>" id="btnretoui" /> <input class="btn btn-small funcrap" type="button" value="<?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_NON', true)); ?>" id="btnretnon" />');
                jQuery('#btnretnon').click(function () {
                    jQuery('#btnretnon').remove();
                    jQuery('#btnretoui').remove();
                    leclosbouton(2);
                });
                jQuery('#btnretoui').click(function () {
                    jQuery('#zyvalinfo').append("<br />");
                    jQuery("#btnretoui").prop('disabled', true);
                    jQuery('#btnretnon').remove();
                    //jQuery('#zyvalinfo').append(data);
                    jQuery.post( urlcible, { 
                    tserve : typeftp ,
                    srvftp: servftp ,
                    timeout: 500,
                    clemdci:thiedc,
                    siteid:idsite,
                    idresto:arraycont,
                    func:'transfresto' 
                    }).done(function( datant ) {
                        jQuery('#zyvalinfo').append(datant);
                        leclosbouton(2);
                    
                    });
                });
            
            
            
            //func:'espacedisque'
                /*jQuery('#zyvalinfo').append(data);
                jQuery.post( urlcible, { 
                tserve : typeftp ,
                srvftp: servftp ,
                timeout: 500,
                clemdci:thiedc,
                siteid:idsite,
                idresto:theidr,
                func:'espacedisque' 
                }).done(function( data ) {
                    jQuery('#zyvalinfo').append(data);
                    
                
                });
                */
                
                
                
                
                
                
                
                
                
                
            });
        }
        function faittelecharg(thiedc){
            var servftpextt = jQuery('#jform_ftpexserv').val();
            var servftpextport = jQuery('#jform_ftpexport').val();
            var servftpextident = jQuery('#jform_ftpextident').val();
            var servftpextpass = jQuery('#jform_ftpextpass').val();
            var servftpextdoss = jQuery('#jform_ftpextdossier').val();
            var servftpextcomp = jQuery('#jform_clecomp').val();
            var urlcible = jQuery('#urlselft').val();
            jQuery('#zyvalinfo').append('<div class="datitle"><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_TELECHARGSAUVE', true)); ?></div>');
            jQuery('#zyvalinfo').append('<?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_TELECHARVASELAN', true)); ?> : <br /><a href="ftp://'+servftpextident+':'+servftpextpass+'@'+servftpextt+':'+servftpextport+servftpextdoss+thiedc+'/'+servftpextcomp+'.zip"><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_TELECHARLINK', true)); ?></a>');
            jQuery('#zyvalinfo').append('<iframe id="telech" src="ftp://'+servftpextident+':'+servftpextpass+'@'+servftpextt+':'+servftpextport+servftpextdoss+thiedc+'/'+servftpextcomp+'.zip"></iframe>');
            leclosbouton(2);
        }
        function faitsupprimer(thiedc){
            jQuery('#zyvalinfo').append('<div class="datitle"><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_SUPPRESSAUV', true)); ?></div>');
            leclosbouton(2);
        }
        function exclusion(){
            var optsauv = jQuery('#jform_methsauv').val();
            if (optsauv=='0'){ jQuery('#zyvalinfo').append('<div class="datitle"><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_VFTPUNIQ', true)); ?></div>'); }
            if (optsauv=='1' || optsauv=='2'){ jQuery('#zyvalinfo').append('<div class="datitle"><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_VFTPHTML', true)); ?></div>'); }
			var ftpdossierracine = jQuery('#jform_ftpdossierracine').val();
            ftpdossid = ftpdossierracine.replace(/([/])/g, ""); 
            jQuery('#zyvalinfo').append('<span class="verftpdir" id="laracine"></span>');
            listftp(ftpdossierracine);
        }
        function listftp(ftpdossierracine){
            if (jQuery('#lbtnferm').length){ jQuery('#lbtnferm').remove(); }
            var typeftp = jQuery('#jform_accesftp').val();
			var servftp = jQuery('#jform_serveftp').val();
			var portftp = jQuery('#jform_portftp').val();
			var identftp = jQuery('#jform_identftp').val();
			var motdepassftp = jQuery('#jform_mdpftp').val();
			var clecomp = jQuery('#jform_clecomp').val();
			var urlcible = jQuery('#urlselft').val();
            var urlcibleins = jQuery('#jform_urlsite').val();
            jQuery.post( urlcible, { 
            tserve : typeftp ,
            srvftp: servftp ,
            prtftp : portftp ,
            idtnftp : identftp ,
            mdpftp : motdepassftp ,
            folderftp: ftpdossierracine,
            timeout: 500,
            clecompcr:clecomp,
            func:'listexclu' ,
            testurl:urlcibleins                       
            }).done(function( data ) {
                ftpdossid = ftpdossierracine.replace(/([/])/g, ""); 
                jQuery('#zyvalinfo #laracine').html(data);
                verifdossexcl();
                listotherftp();
                if (!jQuery('#lbtnferm').length){ leclosbouton(2); }
            });
        }
        function listotherftp (){
            jQuery('#zyvalinfo .foldftpstyl span.adevelo').click(function() {
                var ledoss=jQuery(this).parent().children('input').val();
                ftpdossid = ledoss.replace(/([/])/g, ""); 
                listftp(ledoss+'/');
            });
            jQuery('#zyvalinfo .foldftpstyl input[type="checkbox"]').click(function() {
                var ledoss=jQuery(this).val();
                var txtexcl= jQuery('#jform_dossierexclus').val();
                ftpdossid = ledoss.replace(/([/])/g, ""); 
                 if (jQuery(this).prop('checked') ) {
                     jQuery('#jform_dossierexclus').val(txtexcl+ledoss+'/µµ');
                     affidossexcl();
                } else {
                    tmpcc=ledoss+'/µµ';
                    txtexclucom = txtexcl.replace(tmpcc, "");
                    jQuery('#jform_dossierexclus').val(txtexclucom);
                }
                affidossexcl();
            });
        }
        function verifdossexcl() {
            var dossaexcl=jQuery('#jform_dossierexclus').val();
            var racineftp=jQuery('#jform_ftpdossierracine').val();
            if (dossaexcl!=''){
                var learray = dossaexcl.split('µµ');
                jQuery( learray ).each(function( index, dossclc ) {
                    if (dossclc !=''){
                        var dossclctmp = dossclc;
                        ftpdossid = dossclctmp.replace(/([/])/g, "");
                        jQuery('#'+ftpdossid+'tmpp').prop('checked', true);
                    }
                });
            }
        }
        function affidossexcl() {
            jQuery('#exclusions').html('');
            var dossaexcl=jQuery('#jform_dossierexclus').val();
             totexcl = dossaexcl.replace(/µµ/g, "</div><div>");
             jQuery('#exclusions').html('<div>'+totexcl+'</div>');
        }
        jQuery('#verifexport').click(function () {
			jQuery('#chargement').slideToggle();
			jQuery('#chargebloc').slideToggle();
			verifexport();
            titrager();
		});
        function closedfrm(){
            jQuery('#closed').click(function () {
                var laconf = confirm('<?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_ARRETSAUVER', true)); ?> ?');
                if (laconf == true) {
                    jQuery('#zyvalinfo').append(datenmaintenant()+' - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_ARRETURGENCE', true)); ?><br />');
                    jQuery('#arreturgence').val('1');
                    leclosbouton(2);
                }
            });
        }
        function verifexport(){
            if (jQuery('#lbtnferm').length){ jQuery('#lbtnferm').remove(); }
            jQuery('#zyvalinfo').append('<div class="datitle">Vérification FTP de stockage des sauvegardes</div>'); 
            var typeftp = jQuery('#jform_accesftp').val();
            var sauveou = jQuery('#jform_sauveou').val();
			var servftp = jQuery('#jform_ftpexserv').val();
			var portftp = jQuery('#jform_ftpexport').val();
			var identftp = jQuery('#jform_ftpextident').val();
			var motdepassftp = jQuery('#jform_ftpextpass').val();
            var folderftpe = jQuery('#jform_ftpextdossier').val();
			var urlcible = jQuery('#urlselft').val();
            jQuery.post( urlcible, {
            tserve : typeftp ,
            srvftp: servftp ,
            prtftp : portftp ,
            idtnftp : identftp ,
            mdpftp : motdepassftp ,
            folderftp: folderftpe,
            timeout: 500,
            func:'verifexport'                   
            }).done(function( data ) {
                if (data=='55'){ 
                    retour='<div class="operationno"><span class="fa fa-times"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_VEXPCIMPO', true)); ?></div>'; 
                }
                if (data=='53'){ 
                    retour='<div class="operationno"><span class="fa fa-times"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_VEXPINFICIMPO', true)); ?></div>'; 
                }
                if (data=='52'){ 
                    retour='<div class="operationokde"><span class="fa fa-exclamation"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_VEXPINFICOKSUPIMPO', true)); ?></div>'; 
                }
                if (data=='51'){ 
                    retour='<div class="operationok"><span class="fa fa-check"></span> <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_VEXPTOUTOK', true)); ?></div>'; 
                }
                jQuery('#zyvalinfo').append(retour);
                if (!jQuery('#lbtnferm').length){ leclosbouton(2); }
            });
        }
        jQuery('#jform_sauveou').on('change', function() { laverifousauv();});
        function laverifousauv(){
            if (jQuery('#jform_sauveou').val()=='1'){ jQuery('#laverftp').show(); }
            else { jQuery('#laverftp').hide(); }
        }
        jQuery('#lasauvcomp').click(function () {
			jQuery('#chargement').slideToggle();
			jQuery('#chargebloc').slideToggle( 'slow', function () {
                titrager();
                sauvetotale();
            });
		});
        
        function methodede (urlcible, typeftp, servftp, portftp, identftp, motdepassftp, ftpdossierracine, clecomp, clemdcial, idsite, sitexclu, laracxine, daurl, methsauv, sauveou, ftpexserv, ftpexport, ftpextident, ftpextpass, ftpextdossier ){
            if (methsauv=='1'){ trmtitle = '2 - '; } else { trmtitle = '3 - '; }
            saverapdts();
            jQuery('#zyvalinfo').append('<div class="datitle">'+datenmaintenant()+' - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_SAUVTOTTR', true)); ?></div>');
            jQuery.post( urlcible, { 
            tserve : typeftp ,
            srvftp: servftp ,
            prtftp : portftp ,
            idtnftp : identftp ,
            mdpftp : motdepassftp ,
            folderftp: ftpdossierracine,
            clecompcr:clecomp,
            clemdci:clemdcial,
            siteid:idsite,
            dossexclu:sitexclu,
            racine:laracxine,
            func:'sauvetot' ,
            timeout: 500,
            testurl:daurl
            }).done(function( data ) {
                var arreturgence = jQuery('#arreturgence').val();
                if (arreturgence == '0'){
                    if (data!=""){
                        retrcde= data.split('-');
                        var cderet=retrcde[0];
                        var poidss=retrcde[1];
                        var arreturgence = jQuery('#arreturgence').val();
                        if (arreturgence == '0'){
                            if ( cderet=='64' || cderet =='63'){ 
                                jQuery('#zyvalinfo').append(datenmaintenant()+' - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_SAUVTOTTRZIPEXI', true)); ?>');
                                leclosbouton(2); 
                                saverapdts();
                            }
                            if ( cderet=='61'){
                                jQuery('#zyvalinfo').append(datenmaintenant()+' - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_SAUVTOTTRNBFIC', true)); ?>');
                                leclosbouton(2);
                                saverapdts();
                            }
                            if ( cderet=='62'){
                                jQuery('#zyvalinfo').append(datenmaintenant()+' - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_SAUVTOTTRCOMOKP', true)); ?> : '+calculoctets (poidss));
                                jQuery('#zyvalinfo').append('<div class="datitle">'+datenmaintenant()+' - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_SAUVTOTQU', true)); ?></div>');
                                var commtrans = oktransfert (urlcible, typeftp, servftp, portftp ,identftp ,motdepassftp , ftpdossierracine, clecomp, clemdcial, idsite, laracxine, sauveou, ftpexserv, ftpexport, ftpextident, ftpextpass, ftpextdossier, daurl);
                                if (commtrans != 1 ){
                                    oktransfert (urlcible, typeftp, servftp, portftp ,identftp ,motdepassftp , ftpdossierracine, clecomp, clemdcial, idsite, laracxine, sauveou, ftpexserv, ftpexport, ftpextident, ftpextpass, ftpextdossier, daurl);
                                    jQuery('#zyvalinfo').append('<div class="datitle">'+datenmaintenant()+' - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_SAUVTOTQU', true)); ?></div>');
                                    saverapdts();
                                }
                            }
                        }
                    }
                }
                else {
                    var arreturgence = jQuery('#arreturgence').val();
                    if (arreturgence == '0'){
                         jQuery('#zyvalinfo').append(datenmaintenant()+' - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_CONNECPERD', true)); ?><br />'); 
                         saverapdts();
                        methodede (urlcible, typeftp, servftp, portftp, identftp, motdepassftp, ftpdossierracine, clecomp, clemdcial, idsite, sitexclu, laracxine, daurl, methsauv, sauveou, ftpexserv, ftpexport, ftpextident, ftpextpass, ftpextdossier );
                    }
                }
            });
        }
      
        function oktransfert (urlcible, typeftp, servftp, portftp ,identftp ,motdepassftp , ftpdossierracine, clecomp, clemdcial, idsite, laracxine, sauveou, ftpexserv, ftpexport, ftpextident, ftpextpass, ftpextdossier, daurl) {
                var tranfert;
                saverapdts();
                var request = jQuery.ajax({
                method: "POST",
                url:urlcible,
                data : {
                    tserve : typeftp,
                    srvftp: servftp,
                    prtftp : portftp,
                    idtnftp : identftp,
                    mdpftp : motdepassftp,
                    folderftp : ftpdossierracine,
                    clecompcr : clecomp,
                    clemdci : clemdcial,
                    siteid : idsite,
                    racine : laracxine,
                    ousauve : sauveou,
                    extftpserv : ftpexserv,
                    extftpport : ftpexport,
                    extftpident : ftpextident,
                    extftppass : ftpextpass,
                    extftpfold : ftpextdossier,
                    func : 'transfert' ,
                    timeout: 500,
                    testurl : daurl
                },
                async: false,
                success : function(datata){
                    var arraycont = datata.split('-');
                    var conectftpext = arraycont[0];
                    var creaftpdos = arraycont[1];
                    var transpok = arraycont[2];
                    var datetds = datenmaintenant();
                    var txtaretx =datata;
                    if (conectftpext=='71'){ jQuery('#zyvalinfo').append(datetds+' - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_CONNFTPVERIF', true)); ?><br />'); tranfert = 0; }
                    if (conectftpext=='81'){ jQuery('#zyvalinfo').append(datetds+' - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_CONNFTPEFFE', true)); ?><br />') ; }
                    if (creaftpdos=='78'){ jQuery('#zyvalinfo').append(datetds+' - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_CONNFTPCREASOK', true)); ?><br />'); }
                    if (creaftpdos=='80'){ jQuery('#zyvalinfo').append(datetds+' - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_ATTDOSEXI', true)); ?><br />'); }
                    if (transpok=='75'){ jQuery('#zyvalinfo').append(datetds+' - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_TRANSFERTNONOK', true)); ?><br />'); tranfert = 0; }
                    if (transpok=='76'){ jQuery('#zyvalinfo').append(datetds+' - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_TRANSFFICLOCAL', true)); ?><br />');  }
                    if (transpok=='77'){ jQuery('#zyvalinfo').append(datetds+' - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_TRANSFDOSPROPNN', true)); ?><br />');tranfert = 0; }
                    if (transpok=='74'){
                        jQuery('#zyvalinfo').append(datetds+' - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_TRANSFOK', true)); ?><br />'); leclosbouton(2); 
                        tranfert = 1;
                        rechargesauves ();
                        makmdfive();
                        saverapdts();
                    }
                }
            });
            return tranfert;
        }
        function sauvetotale(){
            var methsauv = jQuery('#jform_methsauv').val();
			var portftp = jQuery('#jform_id').val();
            var typeftp = jQuery('#jform_accesftp').val();
			var servftp = jQuery('#jform_serveftp').val();
			var portftp = jQuery('#jform_portftp').val();
			var identftp = jQuery('#jform_identftp').val();
			var motdepassftp = jQuery('#jform_mdpftp').val();
			var clecomp = jQuery('#jform_clecomp').val();
			var clemdcial = jQuery('#jform_cledcal').val();
			var ftpdossierracine = jQuery('#jform_ftpdossierracine').val();
			var urlcible = jQuery('#urlselft').val();
            var urlcibleins = jQuery('#jform_urlsite').val();
            var testservesql = jQuery('#jform_servesql').val();
            var testportsql = jQuery('#jform_portsql').val();
            var testidentsql = jQuery('#jform_identsql').val();
            var testpasssql = jQuery('#jform_passsql').val();
			var prefixsql = jQuery('#jform_prefixsql').val();
            var testsqlbdd = jQuery('#jform_sqlbdd').val();
            var daurl = jQuery('#jform_urlsite').val();
			var idsite = jQuery('#jform_id').val();
			var sitexclu = jQuery('#jform_dossierexclus').val();
			var laracxine = jQuery('#jform_racine').val();
            var sauveou = jQuery('#jform_sauveou').val();
            var ftpexserv = jQuery('#jform_ftpexserv').val();
            var ftpexport = jQuery('#jform_ftpexport').val();
            var ftpextident = jQuery('#jform_ftpextident').val();
            var ftpextpass = jQuery('#jform_ftpextpass').val();
            var ftpextdossier = jQuery('#jform_ftpextdossier').val();
            var sauvtype = jQuery('#jform_sauvtype').val();
            var arreturgence = jQuery('#arreturgence').val();
            if (arreturgence == '0'){
                saverapdts();
                jQuery('#zyvalinfo').append('<div class="datitle">'+datenmaintenant()+' - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_VERIFDVERS', true)); ?></div>');
                var zinfo = verifversioncp(urlcible, typeftp, servftp ,portftp ,identftp ,motdepassftp ,ftpdossierracine, clecomp, testservesql, testportsql, testidentsql, testpasssql, testsqlbdd, clemdcial, daurl, idsite, 3, 2);
                if (zinfo !=''){
                    jQuery('#zyvalinfo').append(zinfo);
                    // Sauvegarde si FTP + MySQL et PHP ou FTP + PHP
                    if ( methsauv =='1' ||  methsauv =='2' ){
                        jQuery('#zyvalinfo').append('<div class="datitle">'+datenmaintenant()+' - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_SAUVTOTUN', true)); ?></div>');
                        jQuery.post( urlcible, { 
                        tserve : typeftp ,
                        srvftp: servftp ,
                        prtftp : portftp ,
                        idtnftp : identftp ,
                        mdpftp : motdepassftp ,
                        folderftp: ftpdossierracine,
                        clecompcr:clecomp,
                        servesql:testservesql,
                        portsql:testportsql,
                        identsql:testidentsql,
                        passsql:testpasssql,
                        sqlbdd:testsqlbdd,
                        clemdci:clemdcial,
                        siteid:idsite,
                        dossexclu:sitexclu,
                        racine:laracxine,
                        sauvetpe:sauvtype,
                        manoucron:'1',
                        func:'hierarchout' ,
                        timeout: 500,
                        testurl:daurl
                        }).done(function( data ) {
                            if (data!=""){
                                var arreturgence = jQuery('#arreturgence').val();
                                if (arreturgence == '0'){
                                    if (data=='58' || data=='59'){
                                        jQuery('#zyvalinfo').append(datenmaintenant()+' - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_SAUVTOTUNTRNF', true)); ?>');
                                        leclosbouton(2);
                                        saverapdts();
                                    } else {
                                        var zinfo = verifversioncp(urlcible, typeftp, servftp ,portftp ,identftp ,motdepassftp ,ftpdossierracine, clecomp, testservesql, testportsql, testidentsql, testpasssql, testsqlbdd, clemdcial, daurl, idsite, 3, 2);
                                        if (zinfo!='49'){
                                            var testpassa = 0;
                                            // Affichage Hierarchie
                                            jQuery('#zyvalinfo').append(datenmaintenant()+'<br />'+data);
                                            
                                            jQuery.post( urlcible, { 
                                            tserve : typeftp ,
                                            srvftp: servftp ,
                                            clemdci:clemdcial,
                                            siteid:idsite,
                                            sauvetpe:sauvtype,
                                            func:'difftabs' ,
                                            testurl:daurl
                                            }).done(function( data ) {
                                                // Verif type sauvegarde
                                                jQuery.post( urlcible, { 
                                                tserve : typeftp ,
                                                srvftp: servftp ,
                                                clemdci:clemdcial,
                                                siteid:idsite,
                                                sauvetpe:sauvtype,
                                                func:'typesaurfx' ,
                                                testurl:daurl
                                                }).done(function( valcomp ) {
                                                    jQuery('#zyvalinfo').append('<br />'+datenmaintenant()+' - '+data);
                                                    jQuery.post( urlcible, { 
                                                    tserve : typeftp ,
                                                    srvftp: servftp ,
                                                    clemdci:clemdcial,
                                                    siteid:idsite,
                                                    lavaleurcomp:valcomp,
                                                    func:'fichajouter' ,
                                                    testurl:daurl
                                                    }).done(function( data ) {
                                                        if (valcomp == 0 ){
                                                            jQuery('#zyvalinfo').append(datenmaintenant()+' - '+data);
                                                        }
                                                        jQuery.post( urlcible, { 
                                                        tserve : typeftp ,
                                                        srvftp: servftp ,
                                                        clemdci:clemdcial,
                                                        siteid:idsite,
                                                        lavaleurcomp:valcomp,
                                                        func:'fichsupprimer' ,
                                                        testurl:daurl
                                                        }).done(function( data ) {
                                                            if (valcomp == 0 ){
                                                                jQuery('#zyvalinfo').append("<br />"+datenmaintenant()+' - '+data);
                                                            }
                                                            jQuery.post( urlcible, { 
                                                            tserve : typeftp ,
                                                            srvftp: servftp ,
                                                            clemdci:clemdcial,
                                                            siteid:idsite,
                                                            lavaleurcomp:valcomp,
                                                            func:'mdffilestout' ,
                                                            testurl:daurl
                                                            }).done(function( data ) {
                                                                if (valcomp == 0 ){
                                                                    jQuery('#zyvalinfo').append("<br />"+datenmaintenant()+' - '+data);
                                                                }
                                                                if ( methsauv =='2' ){
                                                                    jQuery('#zyvalinfo').append('<div class="datitle">'+datenmaintenant()+' - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_SAUVTOTDE', true)); ?></div>');
                                                                    jQuery.post( urlcible, { 
                                                                    tserve : typeftp ,
                                                                    srvftp: servftp ,
                                                                    prtftp : portftp ,
                                                                    idtnftp : identftp ,
                                                                    mdpftp : motdepassftp ,
                                                                    folderftp: ftpdossierracine,
                                                                    clecompcr:clecomp,
                                                                    servesql:testservesql,
                                                                    portsql:testportsql,
                                                                    identsql:testidentsql,
                                                                    passsql:testpasssql,
                                                                    sqlbdd:testsqlbdd,
                                                                    clemdci:clemdcial,
                                                                    prefsql:prefixsql,
                                                                    siteid:idsite,
                                                                    dossexclu:sitexclu,
                                                                    racine:laracxine,
                                                                    sauvetpe:sauvtype,
                                                                    timeout: 500,
                                                                    func:'sauvebdd' ,
                                                                    testurl:daurl
                                                                    }).done(function( data ) {
                                                                        if (data!=""){
                                                                            saverapdts();
                                                                            var arreturgence = jQuery('#arreturgence').val();
                                                                            if (arreturgence == '0'){
                                                                                if (data=='ok'){
                                                                                    jQuery('#zyvalinfo').append(datenmaintenant()+' - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_SAUVTOTDEBDDOK', true)); ?>');
                                                                                    methodede (urlcible, typeftp, servftp, portftp, identftp, motdepassftp, ftpdossierracine, clecomp, clemdcial, idsite, sitexclu, laracxine, daurl, methsauv, sauveou, ftpexserv, ftpexport, ftpextident, ftpextpass, ftpextdossier );
                                                                                }
                                                                                if (data=='60'){
                                                                                    jQuery('#zyvalinfo').append(datenmaintenant()+' - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_SAUVTOTCONNPROB', true)); ?>');
                                                                                    leclosbouton(2);
                                                                                    saverapdts();
                                                                                }
                                                                            }
                                                                        }
                                                                        else {
                                                                            var arreturgence = jQuery('#arreturgence').val();
                                                                            if (arreturgence == '0'){
                                                                                jQuery('#zyvalinfo').append(datenmaintenant()+' - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_CONPERDREC', true)); ?>');
                                                                                sauvetotale();
                                                                                saverapdts();
                                                                            }
                                                                        }
                                                                    });
                                                                }
                                                                else {
                                                                        jQuery('#zyvalinfo').append('<div class="datitle">'+datenmaintenant()+' - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_SAUVTOTDE', true)); ?></div>');
                                                                        jQuery('#zyvalinfo').append(datenmaintenant()+' - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_PASDSAUVSQL', true)); ?>');
                                                                        saverapdts();
                                                                }
                                                                if ( methsauv =='1' ){ 
                                                                    var arreturgence = jQuery('#arreturgence').val();
                                                                    if (arreturgence == '0'){
                                                                        methodede (urlcible, typeftp, servftp, portftp, identftp, motdepassftp, ftpdossierracine, clecomp, clemdcial, idsite, sitexclu, laracxine, daurl, methsauv, sauveou, ftpexserv, ftpexport, ftpextident, ftpextpass, ftpextdossier ); 
                                                                        saverapdts();
                                                                    }
                                                                }
                                                            });
                                                        
                                                        });
                                                    
                                                    });
                                                });
                                            
                                            });
                                        }
                                    }
                                }
                            } else {
                                var arreturgence = jQuery('#arreturgence').val();
                                if (arreturgence == '0'){
                                    jQuery('#zyvalinfo').append(datenmaintenant()+' - <?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_CONNECTCOUPEE', true)); ?><br />');
                                    sauvetotale();
                                    saverapdts();
                                }
                            }
                        });
                    }
                }
            }
            jQuery('#testdate').html();
        }
	}
</script>
<div id="testt"></div>
<form
	action="<?php echo JRoute::_('index.php?option=com_ytwebtools&layout=edit&id=' . (int) $this->item->id); ?>"
	method="post" enctype="multipart/form-data" name="adminForm" id="siteinternet-form" class="form-validate">
    <div class="titrager"></div>
    <?php if (!empty($this->item->created_by)){ ?>
    <button id="lasauvcomp" type="button" class="btn btn-small btn-success" /><span class="fa fa-hand-pointer-o"></span> <?php echo JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_SAUVEGARDEBTN', true); ?></button>
    <?php } ?>
  <div class="form-horizontal">
  <?php echo JHtml::_('bootstrap.startTabSet', 'myTab', array('active' => 'general')); ?>
  <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'general', '<span  class="fa fa-pencil-square-o"></span> '.JText::_('COM_YTWEBTOOLS_WEBSITE_INFOG', true)); ?>
  <legend class="active"><span  class="fa fa-pencil-square-o"></span><br /><?php echo JText::_('COM_YTWEBTOOLS_WEBSITE_INFOGMINI', true); ?><span class="picfleche"></span></legend>
    <div class="lasepara">
        <div class="row-fluid">
            <div class="span10 form-horizontal contoury">
                <fieldset class="adminform">
                    <input type="hidden" id="jform_id" name="jform[id]" value="<?php echo $this->item->id; ?>" />
                    <input type="hidden" name="jform[ordering]" value="<?php echo $this->item->ordering; ?>" />
                    <input type="hidden" name="jform[state]" value="<?php echo $this->item->state; ?>" />
                    <input type="hidden" name="jform[checked_out]" value="<?php echo $this->item->checked_out; ?>" />
                    <input type="hidden" name="jform[checked_out_time]" value="<?php echo $this->item->checked_out_time; ?>" />
                    <?php if (empty($this->item->created_by)){ ?>
                    <input type="hidden" name="jform[created_by]" value="<?php echo JFactory::getUser()->id; ?>" />
                    <input type="hidden" name="jform[dateajout]" id="jform_dateajout" value="<?php echo $ladatedujour = date('Y-m-d  H:i:s'); ?>" />
                    <?php } else { ?>
                    <input type="hidden" name="jform[created_by]" value="<?php echo $this->item->created_by; ?>" />
                    <?php } ?>
                    <?php if(empty($this->item->modified_by)){ ?>
                    <input type="hidden" name="jform[modified_by]" value="<?php echo JFactory::getUser()->id; ?>" />
                    <?php } else { ?>
                    <input type="hidden" name="jform[modified_by]" value="<?php echo $this->item->modified_by; ?>" />
                    <?php } ?>
                    <?php if(empty($this->item->clecomp)){ $megavaleur = rand( 10000, 2147483647); ?>
                    <input type="hidden" id="jform_clecomp" name="jform[clecomp]" value="<?php echo $megavaleur; ?>" />
                    <?php } else {  echo $this->form->renderField('clecomp'); } $clemd5=md5(uniqid(rand(), true));  ?>
                    <input type="hidden" id="jform_cledcal" name="cledcal" value="<?php echo $clemd5; ?>" />
                    <div class="span6">
                        <?php echo $this->form->renderField('published'); ?>
                        <?php echo $this->form->renderField('name'); ?>
                        <?php echo $this->form->renderField('description'); ?>
                        <?php echo $this->form->renderField('infosupp'); ?>
                        <?php if ($this->state->params->get('save_history', 1)) : ?>
                    </div>
                    <div class="control-group">
                    <div class="control-label"><?php echo $this->form->getLabel('version_note'); ?></div>
                    <div class="controls"><?php echo $this->form->getInput('version_note'); ?></div>
                    </div>
                    <?php endif; ?>
                </fieldset>
            </div>
        </div>
    </div>
    <?php echo JHtml::_('bootstrap.endTab'); ?> <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'serveftp','<span  class="fa fa-cogs"></span> '. JText::_('COM_YTWEBTOOLS_WEBSITE_SERVEEXT', true)); ?>
    <legend id="etapun" class="active"><span  class="fa fa-globe"></span><br /><?php echo JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_TITREURL', true); ?><span id="verifhttp" class="pictoo"></span><span class="picfleche"></span></legend>
    <legend id="etapde"><span  class="fa fa-folder"></span><br /><?php echo JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_TITREFTP', true); ?><span id="verifftp" class="pictoo"></span><span class="picfleche"></span></legend>
    <legend id="etaptr"><span  class="fa fa-database"></span><br /><?php echo JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_TITRESQL', true); ?><span id="verifsql" class="pictoo"></span><span class="picfleche"></span></legend>
    <legend id="etapqu"><span  class="fa fa-check-square-o"></span><br /><?php echo JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_VERIFINFOS', true); ?><span id="verifcomp" class="pictoo"></span><span class="picfleche"></span></legend>
    <div class="lasepara">
        <div class="item" id="chmpun">
            <div class="row-fluid form-horizontal-desktop" id="acchttp">
                <div class="span lignea"></div>
                <div class="span6"> <?php echo $this->form->renderField('urlsite'); ?> </div>
                <div class="span"><hr /></div>
                <div class="span">
                    <div id="verifieurl" class="lesverifs"></div>
                </div>
            </div>
        </div>
        <div class="item" id="chmpde">
            <div class="row-fluid form-horizontal-desktop">
                <div class="span lignea"></div>
                <div class="span6"> <?php echo $this->form->renderField('accesftp'); ?> <?php echo $this->form->renderField('serveftp'); ?> <?php echo $this->form->renderField('portftp'); ?></div>
                <div class="span6"> <?php echo $this->form->renderField('identftp'); ?> <?php echo $this->form->renderField('mdpftp'); ?> <?php echo $this->form->renderField('ftpdossierracine'); ?> </div>
                <div class="span"><hr /></div>
                <div class="span6">
                    <input type="button" value="<?php echo JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_SELDOSSEXCLU', true); ?>" class="verific btn btn-small funcrap" id="exclus" />
                </div>
                <div class="span6 lesverifs" id="exclusions"></div>
                <?php echo $this->form->renderField('dossierexclus'); ?>
                <div class="span"><hr /></div>
                <div class="span">
                    <div id="verifieftp" class="lesverifs"></div>
                </div>
            </div>
        </div>
        <div class="item" id="chmptr">
            <div class="row-fluid form-horizontal-desktop">
                <div class="span lignea"></div>
                <div class="span6"> <?php echo $this->form->renderField('methsauv'); ?></div>
                <div class="span6"> <?php echo $this->form->renderField('servesql'); ?> <?php echo $this->form->renderField('portsql'); ?> <?php echo $this->form->renderField('identsql'); ?> <?php echo $this->form->renderField('passsql'); ?> </div>
                <div class="span6"> <?php echo $this->form->renderField('sqlbdd'); ?> <?php echo $this->form->renderField('sausqlcomplet'); ?> <?php echo $this->form->renderField('prefixsql'); ?> </div>
                <div class="span"><hr /></div>
                <div class="span">
                    <div id="verifiesql" class="lesverifs"></div>
                </div>
            </div>
        </div>
        <div class="item" id="chmpqu">
            <div class="row-fluid form-horizontal-desktop">
                <div class="span lignea"></div>
                <div class="span6"> <?php echo $this->form->renderField('servephpv'); ?> <?php echo $this->form->renderField('servesqlv'); ?> <?php echo $this->form->renderField('cmstype'); ?> </div>      
                <div class="span"><hr /></div>
                <div class="span">
                    <input id="verifinsert" type="button" value="<?php echo JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_VERIFUFULL', true); ?>" class="btn btn-small btn-success" />
                    <input type="hidden" id="urlselft" value="<?php echo JUri::base()."index.php?option=com_ytwebtools&view=externalwebsitess&format=raw"; ?>" />
                </div>
                <div class="span"><hr /></div>
                <div class="span">
                    <div id="proptsauv" class="lesverifs"></div>
                </div>
            </div>
        </div>
    </div>
    <?php echo JHtml::_('bootstrap.endTab'); ?> <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'msauvegarde','<span  class="fa fa-wrench"></span> '.  JText::_('COM_YTWEBTOOLS_WEBSITE_SAUVEGARDE', true)); ?>
    
    <legend id="etapsi" class="active" ><span  class="fa fa-clone"></span><br /><?php echo JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_TYPSAUVG', true); ?><span class="picfleche"></span></legend>
    <div class="lasepara">
        <div class="item" id="chmpsi">
            <div class="row-fluid form-horizontal-desktop">
                <div class="span lignea"></div>
                <div class="span6"> <?php echo $this->form->renderField('sauvtype'); ?> </div>
            </div>
        </div>
        <div class="item" id="chmpse">
            <div class="row-fluid form-horizontal-desktop">
                <div class="span lignea"></div>
                <div class="span"> <?php echo $this->form->renderField('typsauvcom'); ?> </div>
                <div class="span6">
                    <?php echo $this->form->renderField('rappsauv'); ?>
                    <?php echo $this->form->renderField('rappmail'); ?>
                </div>
            </div>
        </div>
    </div>
    <?php echo JHtml::_('bootstrap.endTab'); ?>
    <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'stockagerr', '<span  class="fa fa-file-archive-o"></span> '. JText::_('COM_YTWEBTOOLS_WEBSITE_STOCKWEBSITES', true)); ?>
    <legend class="active"><span  class="fa fa-file-archive-o"></span><br /><?php echo JText::_('COM_YTWEBTOOLS_WEBSITE_STOCKWEBSITES', true); ?><span class="picfleche"></span></legend>
    <div class="lasepara">
        <div class="row-fluid form-horizontal-desktop contoury">
            <div class="span lignea"></div>
            <div class="span6">
                <?php echo $this->form->renderField('sauveou'); ?>
                <span id="laverftp">
                    <?php echo $this->form->renderField('ftpexserv'); ?>
                    <?php echo $this->form->renderField('ftpexport'); ?>
                    <?php echo $this->form->renderField('ftpextident'); ?>
                    <?php echo $this->form->renderField('ftpextpass'); ?>
                    <?php echo $this->form->renderField('ftpextdossier'); ?>
                    <div class="span"><hr /></div>
                    <div class="span6"><input id="verifexport" type="button" value="<?php echo JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_VERIFBTNEXT', true); ?>" class="btn btn-small btn-success" /></div>
                </span>
            </div>
        </div>
    </div>
    <?php echo JHtml::_('bootstrap.endTab'); ?>
    <?php if ($this->item->datedersauv !== '0000-00-00 00:00:00' or !empty($this->item->datedersauv)){ ?>
    <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'rapports','<span  class="fa fa-exclamation-triangle"></span> '.  JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_RAPPORT_LBL', true)); ?>
    <div class="row-fluid form-horizontal-desktop">
        <div class="span">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th width="1%" class="nowrap center">id</th>
                        <th class='left'><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_DATE', true)); ?></th>
                        <th class='left'><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_FORM_SITEINTERNET_DATEDERSAUV_LBL', true)); ?></th>
                        <th class='left'><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_LISTES_TYPESAUV', true)); ?></th>
                        <th class='left'><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_LISTES_SAUVSTATUS', true)); ?></th>
                        <th class='left'><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_LISTES_SAUVSQLSTA', true)); ?></th>
                        <th class='left'><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_LISTES_FICHIERSSUPP', true)); ?></th>
                        <th class='left'><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_LISTES_FICHIERSAJOU', true)); ?></th>
                        <th class='left'><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_LISTES_FICHIERSMODI', true)); ?></th>
                        <th class='left'><?php echo stripslashes(JText::_('COM_YTWEBTOOLS_LISTES_POIDSAUV', true)); ?></th>
                        <th class='left'></th>
                        <th class='left'></th>
                    </tr>
                </thead>
                <tbody id="retoursauvef"></tbody>
            </table>
        </div>
    </div>
    <?php echo JHtml::_('bootstrap.endTab');
    }
    echo JHtml::_('bootstrap.endTabSet'); 
    echo $this->form->renderField('verifurldte');
    echo $this->form->renderField('verifftpdte');
    echo $this->form->renderField('verifsqldte'); ?>
    <input type="hidden" name="jform[datemodif]" id="jform_datemodif" value="<?php echo date('Y-m-d  H:i:s'); ?>" />
    <input type="hidden" name="task" value=""/>
    <?php echo JHtml::_('form.token'); ?>
  </div>
  <?php echo $this->form->renderField('serveaccess'); ?>
  <?php echo $this->form->renderField('racine'); ?>
</form>
<div id="instelech"></div>
